Export Job Generate New

Start generation of an export and optionally return data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Start with specifying a source, ie from a directory or job.

Exports show up on the UI.

SDK job.generate_export()

# SDK Version >= 0.1.7.6

# Default example returns JSON data
results = job.generate_export()

# Example #2 
# We only want the URL for the TF RECORDS data
# as it may be a large file 
# (optionally you can change add a source, and add a directory_id param to the function)
result = job.generate_export(
	kind = "TF Records",
	return_mode = "url")

Export Walkthrough

Path Params
string
required
Body Params
string

["Annotations", "TF Records"]

string

["job", "directory"]

string
Defaults to "url"

["url", "data"]

boolean
int32
Defaults to null

If source == "directory"

int32
Defaults to null

If source == "job"

int32
Defaults to null

If source == "version"

string
boolean
Defaults to false
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json